#!/bin/sh
# This script was generated using Makeself 2.1.2
CRCsum="907509725"
MD5="a7f4d435a9f3c0dca921e5eba70b6791"
TMPROOT=${TMPDIR:=/tmp}
label="--nocomp"
script="./setup.sh"
scriptargs=""
targetdir="NVIDIA-Gelato-Linux-x86-2.1R1-pkg.run_tmpdir"
filesizes="61486137"
keep=n
print_cmd_arg=""
if type printf > /dev/null; then
print_cmd="printf"
elif test -x /usr/ucb/echo; then
print_cmd="/usr/ucb/echo"
else
print_cmd="echo"
fi
MS_Printf()
{
$print_cmd $print_cmd_arg "$1"
}
MS_Progress()
{
while read a; do
MS_Printf .
done
}
MS_dd()
{
blocks=`expr $3 / 1024`
bytes=`expr $3 % 1024`
dd if="$1" ibs=$2 skip=1 obs=1024 conv=sync 2> /dev/null | \
{ test $blocks -gt 0 && dd ibs=1024 obs=1024 count=$blocks ; \
test $bytes -gt 0 && dd ibs=1 obs=1024 count=$bytes ; } 2> /dev/null
}
MS_Help()
{
cat << EOH >&2
NVIDIA Gelato 2.1R1 Installer for Linux x86
Common Options:
--help Print this message.
--install-dir|-i
Set the install directory under which the Gelato
software is to be installed.
--update-link|-u Update an existing "generic" link /gelato to point
to the new installation /gelato-2.1R1 . Note: if
/gelato doesn't exist, then it is always created,
even if this flag is not specified
--accept-license|-a Agree unconditionally to the terms in the End-User
License Agreement (EULA). The EULA will not be
displayed, and interactive confirmation of agreement
will not be sought. If you select this option, you
should have already read the EULA (e.g., during a
previous installation of this version of the Gelato
software, or via the --show-license option).
--show-license|-l Just display the End-User License Agreement -- do not
install the software.
--silent|-s Install non-interactively, with no prompting for values,
and no display of the HTML documentation. This option
implies the --update-link and --accept-license options.
Used on its own, this option uses the default installation
directory /opt/nvidia. Alternatively, this flag may be used
in conjunction with the --install-dir flag to install
non-interactively to a user-specified location.
Installation Options:
--confirm Ask before running embedded setup script.
--keep Do not erase installer temp files after running the
embedded setup script.
--nochown Do not give the extracted files to the current user.
--target Extract temp installer files to directory .
-- Following arguments will be passed to the embedded setup
script.
Query Options:
--info Print embedded info: title, default target directory, embedded
script name ...
--lsm Print embedded lsm entry (or no LSM).
--list Print the list of files in the archive.
--check Checks integrity of the archive.
EOH
}
MS_Check()
{
OLD_PATH=$PATH
PATH=${GUESS_MD5_PATH:-"$OLD_PATH:/bin:/usr/bin:/sbin:/usr/local/ssl/bin:/usr/local/bin:/opt/openssl/bin"}
MD5_PATH=`which md5sum 2>/dev/null || type md5sum 2>/dev/null`
MD5_PATH=${MD5_PATH:-`which md5 2>/dev/null || type md5 2>/dev/null`}
PATH=$OLD_PATH
MS_Printf "Verifying archive integrity..."
offset=`head -n 390 "$1" | wc -c | tr -d " "`
verb=$2
i=1
for s in $filesizes
do
crc=`echo $CRCsum | cut -d" " -f$i`
if test -x "$MD5_PATH"; then
md5=`echo $MD5 | cut -d" " -f$i`
if test $md5 = "00000000000000000000000000000000"; then
test x$verb = xy && echo " $1 does not contain an embedded MD5 checksum." >&2
else
md5sum=`MS_dd "$1" $offset $s | "$MD5_PATH" | cut -b-32`;
if test "$md5sum" != "$md5"; then
echo "Error in MD5 checksums: $md5sum is different from $md5" >&2
exit 2
else
test x$verb = xy && MS_Printf " MD5 checksums are OK." >&2
fi
crc="0000000000"; verb=n
fi
fi
if test $crc = "0000000000"; then
test x$verb = xy && echo " $1 does not contain a CRC checksum." >&2
else
sum1=`MS_dd "$1" $offset $s | cksum | awk '{print $1}'`
if test "$sum1" = "$crc"; then
test x$verb = xy && MS_Printf " CRC checksums are OK." >&2
else
echo "Error in checksums: $sum1 is different from $crc"
exit 2;
fi
fi
i=`expr $i + 1`
offset=`expr $offset + $s`
done
echo " All good."
}
UnTAR()
{
tar $1vf - 2>&1 || { echo Extraction failed. > /dev/tty; kill -15 $$; }
}
finish=true
xterm_loop=
nox11=n
copy=none
ownership=
gelato_args=""
while true
do
case "$1" in
-h | --help)
MS_Help
exit 0
;;
--info)
echo Identification: "$label"
echo Target directory: "$targetdir"
echo Uncompressed size: 61148 KB
echo Compression: gzip
echo Date of packaging: Fri Feb 23 14:40:33 PST 2007
echo Built with Makeself version 2.1.2 on linux
if test x$script != x; then
echo Script run after extraction:
echo " " $script $scriptargs
fi
if test x"" = xcopy; then
echo "Archive will copy itself to a temporary location"
fi
if test x"n" = xy; then
echo "directory $targetdir is permanent"
else
echo "$targetdir will be removed after extraction"
fi
exit 0
;;
--dumpconf)
echo LABEL=\"$label\"
echo SCRIPT=\"$script\"
echo SCRIPTARGS=\"$scriptargs\"
echo archdirname=\"NVIDIA-Gelato-Linux-x86-2.1R1-pkg.run_tmpdir\"
echo KEEP=n
echo COMPRESS=gzip
echo filesizes=\"$filesizes\"
echo CRCsum=\"$CRCsum\"
echo MD5sum=\"$MD5\"
echo OLDUSIZE=61148
echo OLDSKIP=391
exit 0
;;
--lsm)
cat << EOLSM
No LSM.
EOLSM
exit 0
;;
--list)
echo Target directory: $targetdir
offset=`head -n 390 "$0" | wc -c | tr -d " "`
for s in $filesizes
do
MS_dd "$0" $offset $s | eval "gzip -cd" | UnTAR t
offset=`expr $offset + $s`
done
exit 0
;;
--check)
MS_Check "$0" y
exit 0
;;
--confirm)
verbose=y
shift
;;
--keep)
keep=y
shift
;;
--target)
keep=y
targetdir=${2:-.}
shift 2
;;
--nox11)
nox11=y
shift
;;
--nochown)
ownership=n
shift
;;
--xwin)
finish="echo Press Return to close this window...; read junk"
xterm_loop=1
shift
;;
--phase2)
copy=phase2
shift
;;
--install-dir|-i)
gelato_args="$gelato_args $1"
shift
gelato_args="$gelato_args $1"
shift
;;
--accept-license|-a)
gelato_args="$gelato_args $1"
shift
;;
--show-license|-l)
gelato_args="$gelato_args $1"
shift
;;
--update-link|-u)
gelato_args="$gelato_args $1"
shift
;;
--silent|-s)
gelato_args="$gelato_args $1"
shift
;;
--)
shift
break ;;
-*)
echo Unrecognized flag : "$1" >&2
MS_Help
exit 1
;;
*)
break ;;
esac
done
case "$copy" in
copy)
SCRIPT_COPY="$TMPROOT/makeself$$"
echo "Copying to a temporary location..." >&2
cp "$0" "$SCRIPT_COPY"
chmod +x "$SCRIPT_COPY"
cd "$TMPROOT"
exec "$SCRIPT_COPY" --phase2
;;
phase2)
finish="$finish ; rm -f $0"
;;
esac
if test "$nox11" = "n"; then
if tty -s; then # Do we have a terminal?
:
else
if test x"$DISPLAY" != x -a x"$xterm_loop" = x; then # No, but do we have X?
if xset q > /dev/null 2>&1; then # Check for valid DISPLAY variable
GUESS_XTERMS="xterm rxvt dtterm eterm Eterm kvt konsole aterm"
for a in $GUESS_XTERMS; do
if type $a >/dev/null 2>&1; then
XTERM=$a
break
fi
done
chmod a+x $0 || echo Please add execution rights on $0
if test `echo "$0" | cut -c1` = "/"; then # Spawn a terminal!
exec $XTERM -title "$label" -e "$0" --xwin "$@"
else
exec $XTERM -title "$label" -e "./$0" --xwin "$@"
fi
fi
fi
fi
fi
if test "$targetdir" = "."; then
tmpdir="."
else
if test "$keep" = y; then
echo "Creating directory $targetdir" >&2
tmpdir="$targetdir"
else
tmpdir="$TMPROOT/selfgz$$"
fi
mkdir $tmpdir || {
echo 'Cannot create target directory' $tmpdir >&2
echo 'You should try option --target OtherDirectory' >&2
eval $finish
exit 1
}
fi
currentdir="`pwd`"
export currentdir
if test x$SETUP_NOCHECK != x1; then
MS_Check "$0"
fi
offset=`head -n 390 "$0" | wc -c | tr -d " "`
if test x"$verbose" = xy; then
MS_Printf "About to extract 61148 KB in $tmpdir ... Proceed ? [Y/n] "
read yn
if test x"$yn" = xn; then
eval $finish; exit 1
fi
fi
MS_Printf "Uncompressing $label"
res=3
if test "$keep" = n; then
trap 'echo; echo Signal caught. Exiting installer. >&2; cd $TMPROOT; /bin/rm -rf $tmpdir; eval $finish; exit 15' 1 2 3 15
fi
for s in $filesizes
do
if MS_dd "$0" $offset $s | eval "gzip -cd" | ( cd "$tmpdir"; UnTAR x ) | MS_Progress; then
if test x"$ownership" != x; then
(PATH=/usr/xpg4/bin:$PATH; cd "$tmpdir"; chown -R `id -u` .; chgrp -R `id -g` .)
fi
else
echo
echo "Unable to decompress $0" >&2
eval $finish; exit 1
fi
offset=`expr $offset + $s`
done
echo
cd "$tmpdir"
res=0
if test x"$script" != x; then
if test x"$verbose" = xy; then
MS_Printf "OK to execute: $script $scriptargs $gelato_args $* ? [Y/n] "
read yn
if test x"$yn" = x -o x"$yn" = xy -o x"$yn" = xY; then
$script $scriptargs $gelato_args $*; res=$?;
fi
else
$script $scriptargs $gelato_args $*; res=$?
fi
if test $res -ne 0; then
test x"$verbose" = xy && echo "The program '$script' returned an error code ($res)" >&2
fi
fi
if test "$keep" = n; then
cd $TMPROOT
/bin/rm -rf $tmpdir
fi
eval $finish; exit $res
amE|y|Lgۿ
[Q&$IJzVz2s3ILEb)UR}h"-U냨i,A*AYM2~yDr^{}$*ah^ 6#08;$gHFA!A=6/"cF'wϱ6?#G#x1"[(|;և54<>})CGEG&ECGDEEbEESacbãi__:6*<50&6=4&